#include "AardRemoteMessage.h"
#include "Commands.h"

AardRemoteMessage::AardRemoteMessage(unsigned short header) {
   message.push_back(header);
   hdr = header;
}

AardRemoteMessage::~AardRemoteMessage() {
}

unsigned char
AardRemoteMessage::MessageKind() const {
   return MSG_KIND(b[0]);
}

unsigned int
AardRemoteMessage::MessageLength() const {
   return MSG_LEN(b[0]);
}

unsigned int
AardRemoteMessage::FunctionCode() const {
   return b[1];
}

const std::vector<unsigned short> &
AardRemoteMessage::MessageBody() const {
   return message;
}

void
AardRemoteMessage::Append(unsigned short newdata) {
   message.push_back(newdata);
}
